A Brief  overview
===========================
Audio test suite- This is a test suite to test Audio module based on Alsa on Linux like platforms.


Platforms supported
================================

Any platform with Alsa support

Platforms tested
================================
1) omap35x
2) am3517
3) am17x 	
1) am18x 	

Steps to build
================
NA

The test suite is script only and is available in script/common/ folder

Step to clean
=============
NA

Steps to run
================
1)Boot the DUT using the uImage built from appropriate PSP release.
2)Run default scrpt to see help
3)Refer user guide for further reading
	
Usage:
sh audio_test_script <options>

	--- HELP OPTIONS  ---"
	alsa_tests_script.sh -type -plat [ -device ] [ -ko1 ] [ -ko2 ] [ -ko3 ] [ -h ] [ -help ] [ -v ] [ -version ]
	-device     : Device Node [default: hw:0,0]
	-type       : Test type (func, stress, modular), in case of modular following .ko files need to pass
	-plat       : Platform (ti816x, ti814x, am18x, am17x, omap35x, am3517, am37x)
	-ko1        : 1st KO file to run modular test
	-ko2        : 2nd KO file to run modular test
	-ko3        : 3rd KO file to run modular test
    -help/h     : Displays help
    -version/v  : Displays Vesrion

Expected output
==========================
When run  with test type only it will take other parameters as default arguments, as mentioned in help.
In case need to rub platform specific tests also along with common test cases give -plat option as mentioned above

Supported features
=====================
1)Functional testcases
3)Stress test cases
4)Modular test cases 

Point of contact
================
Please submit your queries or comments at the forums http://community.ti.com or http://support.ti.com
